#!/bin/sh
logger_general()
{
logger -s -p local0.notice -t geek_script $1
}
logger_general "###########Geek script Started###########"
 
if [ $1 = "web-gui" ] ;then
    logger_general "###########Geek script started from web-gui###########"
    logger_general "Sleeping for 30 secs to give time for router boot"
    sleep 30
    logger_general "Done sleeping for 30"
else
    logger_general "###########Geek script started Manually###########"
fi
logger_general "###########Geek script inits environments###########"
if [[ -z "`mount | grep "/etc type jffs2"`" ]]; then
    logger_general "Did not find the mount bind for /etc in affect."
    mount -o bind /jffs/geek/etc/ /etc/
    logger_general "Mounted /etc was mounted on jffs with return code of "`echo $?`"."
else
        logger_general "Found /etc is ALREADY mounted to jffs."
    fi
if [[ -z "`mount | grep "/opt type jffs2"`" ]]; then
    logger_general "Did not find the mount bind for /opt in affect."
    mount -o bind /jffs/opt/ /opt/
    logger_general "Mounted /opt was mounted on jffs with return code of "`echo $?`"."
else
    logger_general "Found /opt is ALREADY mounted to jffs."
fi
if [[ -z "`cat /tmp/root/.profile | grep "/jffs/usr/lib:/jffs/opt/usr/lib"`" ]]; then
       logger_general "Setting the LD_LIBRARY_PATH environment variable" 
    export TMP=$LD_LIBRARY_PATH
    export LD_LIBRARY_PATH=/jffs/usr/lib:/jffs/opt/usr/lib:$TMP
    echo "LD_LIBRARY_PATH='/jffs/usr/lib:/jffs/opt/usr/lib:$TMP'" >>/tmp/root/.profile
else
    logger_general "LD_LIBRARY_PATH is set correctly"
fi
logger_general "###########Geek script starter Done###########"